# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

### [2.0.3](https://www.github.com/netlify/netlify-lambda/compare/v2.0.2...v2.0.3) (2021-01-18)


### Bug Fixes

* babel config lookup ([#364](https://www.github.com/netlify/netlify-lambda/issues/364)) ([15001e3](https://www.github.com/netlify/netlify-lambda/commit/15001e3ff53b1f53ccc7df50004852d6463e7aef))
* **deps:** update babel monorepo to v7.12.10 ([e23ef19](https://www.github.com/netlify/netlify-lambda/commit/e23ef19145cba1dc529a89eeb6d9e7b38256a76b))
* **deps:** update dependency @babel/preset-env to v7.12.11 ([3ae6e97](https://www.github.com/netlify/netlify-lambda/commit/3ae6e97dbe2817c14664734e066c0eca43a36101))
* **deps:** update dependency globby to v11.0.2 ([edc92a9](https://www.github.com/netlify/netlify-lambda/commit/edc92a9f9de8e4dc7f0fbe017822f5e7953c024a))
* **deps:** update dependency webpack to v4.45.0 ([140ab49](https://www.github.com/netlify/netlify-lambda/commit/140ab49d4f4d98015758d23d5e7d9b48ba985eb3))
* **docs:** add CONTRIBUTING.md and CODE_OF_CONDUCT.md ([#342](https://www.github.com/netlify/netlify-lambda/issues/342)) ([c38ebc5](https://www.github.com/netlify/netlify-lambda/commit/c38ebc596c5d3d435c4e12dde0205c1eb549c357))

## [v2.0.2](https://github.com/netlify/netlify-lambda/compare/v2.0.1...v2.0.2)

### Merged

- chore(deps): bump ini from 1.3.5 to 1.3.8 [`#341`](https://github.com/netlify/netlify-lambda/pull/341)
- chore(fossa): fix github actions workflow file for fossa [`#323`](https://github.com/netlify/netlify-lambda/pull/323)
- fix(deps): update dependency jwt-decode to v3 [`#308`](https://github.com/netlify/netlify-lambda/pull/308)
- chore(deps): update dependency gh-release to v4 [`#296`](https://github.com/netlify/netlify-lambda/pull/296)
- chore(deps): update commitlint monorepo to v11 [`#295`](https://github.com/netlify/netlify-lambda/pull/295)
- fix(docs): update readme to not include hardcoded version [`#265`](https://github.com/netlify/netlify-lambda/pull/265)
- chore: add issue templates [`#264`](https://github.com/netlify/netlify-lambda/pull/264)
- chore: delete stale.yml [`#263`](https://github.com/netlify/netlify-lambda/pull/263)
- ci: add pr labeler [`#271`](https://github.com/netlify/netlify-lambda/pull/271)
- chore(deps): lock file maintenance [`#270`](https://github.com/netlify/netlify-lambda/pull/270)
- chore(deps): lock file maintenance [`#261`](https://github.com/netlify/netlify-lambda/pull/261)

### Commits

- fix(deps): update babel monorepo [`e419cbf`](https://github.com/netlify/netlify-lambda/commit/e419cbfa19f8c21b192b1b37ee1b5e011011535b)
- chore(deps): update dependency jest to v26.5.3 [`0f8a9fa`](https://github.com/netlify/netlify-lambda/commit/0f8a9fa3bdd9e09c977fdfdbe92797f146de3b91)
- chore(deps): update dependency jest to v26.4.0 [`ba0d016`](https://github.com/netlify/netlify-lambda/commit/ba0d0168f62a7a21fa4ecabec3d4c8da8ee56b04)

## [v2.0.1](https://github.com/netlify/netlify-lambda/compare/v2.0.0...v2.0.1) - 2020-07-21

### Merged

- chore(deps): lock file maintenance [`#256`](https://github.com/netlify/netlify-lambda/pull/256)
- fix(webpack): use webpack-merge v4 to support merge.smart [`#252`](https://github.com/netlify/netlify-lambda/pull/252)

### Commits

- chore(ci): test in node 14 instead of 13 [`e220ca4`](https://github.com/netlify/netlify-lambda/commit/e220ca4c37c9e4c66112c749f55b912f5dc5cbd3)

## [v2.0.0](https://github.com/netlify/netlify-lambda/compare/v1.6.3...v2.0.0) - 2020-07-15

### Merged

- chore: remove yarn.lock file [`#247`](https://github.com/netlify/netlify-lambda/pull/247)
- chore(deps): update node.js to &gt;=v10.21.0 [`#248`](https://github.com/netlify/netlify-lambda/pull/248)
- chore(deps): lock file maintenance [`#246`](https://github.com/netlify/netlify-lambda/pull/246)
- chore: update tooling [`#241`](https://github.com/netlify/netlify-lambda/pull/241)
- fix(build-command): report exit code 1 when compilation fails [`#239`](https://github.com/netlify/netlify-lambda/pull/239)
- remove comma otherwise it's going to throw an error [`#209`](https://github.com/netlify/netlify-lambda/pull/209)
- allow overriding webpack stats config [`#205`](https://github.com/netlify/netlify-lambda/pull/205)
- Add extra error messaging [`#194`](https://github.com/netlify/netlify-lambda/pull/194)
- Small code simplification (`Array.reduce()` -&gt; `Array.some()`) [`#192`](https://github.com/netlify/netlify-lambda/pull/192)
- Add `package-lock.json` to `.gitignore` [`#191`](https://github.com/netlify/netlify-lambda/pull/191)
- Document minimum Node.js version [`#190`](https://github.com/netlify/netlify-lambda/pull/190)
- Add support for multivalue headers. [`#181`](https://github.com/netlify/netlify-lambda/pull/181)

### Commits

- add utm [`7a7d558`](https://github.com/netlify/netlify-lambda/commit/7a7d558cdae6d02470ffbb4a893271f65bd094ec)
- Update README.md [`23db458`](https://github.com/netlify/netlify-lambda/commit/23db458631d314ca31dab0e022637e72296878bd)
- make very clear netlify serve is not encouraged anymore [`3198e3c`](https://github.com/netlify/netlify-lambda/commit/3198e3cb834efc8e078b558bb15c5b24f567f038)

## [v1.6.3](https://github.com/netlify/netlify-lambda/compare/v1.6.2...v1.6.3) - 2019-08-22

### Merged

- fix String Comparison Bug [`#178`](https://github.com/netlify/netlify-lambda/pull/178)

### Commits

- wrap functionsPath and dirPath to guarantee compatibility [`2d8aa6f`](https://github.com/netlify/netlify-lambda/commit/2d8aa6f084e3f278c150e4965924859ab7edfd72)

## [v1.6.2](https://github.com/netlify/netlify-lambda/compare/v1.6.1...v1.6.2) - 2019-08-16

### Merged

- fix: recognize package.json in the root target also [`#175`](https://github.com/netlify/netlify-lambda/pull/175)

### Fixed

- fix: recognize package.json in the root target also [`#174`](https://github.com/netlify/netlify-lambda/issues/174)

## [v1.6.1](https://github.com/netlify/netlify-lambda/compare/v1.6.0...v1.6.1) - 2019-08-16

### Merged

- improve netlify dev vs netlify lambda docs [`#172`](https://github.com/netlify/netlify-lambda/pull/172)

### Fixed

- move globby to deps not devdeps closes #173 [`#173`](https://github.com/netlify/netlify-lambda/issues/173)

### Commits

- Update README.md [`7752924`](https://github.com/netlify/netlify-lambda/commit/7752924b66741da5e455398be7b9c2499cfd8831)
- Update README.md [`4b949ac`](https://github.com/netlify/netlify-lambda/commit/4b949ac99d3642091d47b1326a3fa1f11e0693a6)
- Update README.md [`77a5836`](https://github.com/netlify/netlify-lambda/commit/77a5836a6410cfc7562b7da998363b2359e8d7af)

## [v1.6.0](https://github.com/netlify/netlify-lambda/compare/v1.5.1...v1.6.0) - 2019-08-15

### Merged

- add install command [`#171`](https://github.com/netlify/netlify-lambda/pull/171)
- fix 404 error typo/grammar [`#170`](https://github.com/netlify/netlify-lambda/pull/170)
- fix empty lambda warning [`#166`](https://github.com/netlify/netlify-lambda/pull/166)

### Commits

- readme [`c3e01fd`](https://github.com/netlify/netlify-lambda/commit/c3e01fd1c96fd553487bc6b021a38a0da0979a6a)

## [v1.5.1](https://github.com/netlify/netlify-lambda/compare/v1.5.0...v1.5.1) - 2019-07-25

### Commits

- add more descriptive error [`42c6e1f`](https://github.com/netlify/netlify-lambda/commit/42c6e1fb0a5bd86913403a09243ac6bb9e229d1c)

## [v1.5.0](https://github.com/netlify/netlify-lambda/compare/v1.4.13...v1.5.0) - 2019-07-05

### Commits

- catch raw requests [`bfebc09`](https://github.com/netlify/netlify-lambda/commit/bfebc0921a45d4f730b910b680e40e04928f7c29)
- Update README.md [`80bcdd8`](https://github.com/netlify/netlify-lambda/commit/80bcdd851c47a999c425d6a47e6731d0f5f1af9e)

## [v1.4.13](https://github.com/netlify/netlify-lambda/compare/v1.4.12...v1.4.13) - 2019-05-22

### Merged

- add missing config set up for serve [`#159`](https://github.com/netlify/netlify-lambda/pull/159)

## [v1.4.12](https://github.com/netlify/netlify-lambda/compare/v1.4.11...v1.4.12) - 2019-05-22

### Merged

- fix: proritize server builds over browser for packages [`#160`](https://github.com/netlify/netlify-lambda/pull/160)

## [v1.4.11](https://github.com/netlify/netlify-lambda/compare/v1.4.10...v1.4.11) - 2019-05-19

### Merged

- Fix userWebpackConfig issue [`#157`](https://github.com/netlify/netlify-lambda/pull/157)

### Commits

- Fix [`6e12180`](https://github.com/netlify/netlify-lambda/commit/6e12180babb9d8021d96d7532e8771641ee62dbe)
- Update package.json [`ab1d8a8`](https://github.com/netlify/netlify-lambda/commit/ab1d8a86e5a7cedcbbcf3b673167f70d7c597704)

## [v1.4.10](https://github.com/netlify/netlify-lambda/compare/v1.4.9...v1.4.10) - 2019-05-17

### Merged

- Add flag to not use relative .babelrc config [`#154`](https://github.com/netlify/netlify-lambda/pull/154)

### Commits

- add new flag to opt out of default babelrc loading [`9117c36`](https://github.com/netlify/netlify-lambda/commit/9117c36d858d228130b8a6c11db2eead33107f53)
- update readme [`c6d2663`](https://github.com/netlify/netlify-lambda/commit/c6d266386be88e4ac24174f9497c947cb8f55a27)
- add missing &lt; [`0fd4b18`](https://github.com/netlify/netlify-lambda/commit/0fd4b187def6efb7d526f321ffbd61d51852d751)

## [v1.4.9](https://github.com/netlify/netlify-lambda/compare/v1.4.8...v1.4.9) - 2019-05-16

### Merged

- clearCache fallbacks to chunk.id if chunk.name is null [`#144`](https://github.com/netlify/netlify-lambda/pull/144)
- fix: start server when serving static functions [`#151`](https://github.com/netlify/netlify-lambda/pull/151)

## [v1.4.8](https://github.com/netlify/netlify-lambda/compare/v1.4.7...v1.4.8) - 2019-05-16

### Merged

- add bail: true to webpack config [`#153`](https://github.com/netlify/netlify-lambda/pull/153)

### Commits

- Update README.md [`7ab1220`](https://github.com/netlify/netlify-lambda/commit/7ab1220063bae096825d89ca02ebd8d760992cf9)

## [v1.4.7](https://github.com/netlify/netlify-lambda/compare/v1.4.6...v1.4.7) - 2019-05-01

### Commits

- add version and gh-release [`c66cf5f`](https://github.com/netlify/netlify-lambda/commit/c66cf5fc9f7dd21117a16999488cab2fa73b48d4)

## [v1.4.6](https://github.com/netlify/netlify-lambda/compare/v1.4.5...v1.4.6) - 2019-05-01

### Commits

- fix reload relisten bug [`5d15dfd`](https://github.com/netlify/netlify-lambda/commit/5d15dfdb6c18ba7d8cbd8aefc95f812720a3f6ed)
- Update README.md [`2404593`](https://github.com/netlify/netlify-lambda/commit/2404593b230d730ef0a0f5d2a92bee21240137b1)

## [v1.4.5](https://github.com/netlify/netlify-lambda/compare/v1.4.4...v1.4.5) - 2019-04-16

### Merged

- refactor: change order of webpack stats logging and server setup [`#141`](https://github.com/netlify/netlify-lambda/pull/141)
- chore: whitelist files published to npm [`#139`](https://github.com/netlify/netlify-lambda/pull/139)
- chore: add license file [`#140`](https://github.com/netlify/netlify-lambda/pull/140)

### Commits

- Update README.md [`ec330bc`](https://github.com/netlify/netlify-lambda/commit/ec330bc511584ddb0c3eb8f93f63298fdd139a8d)

## [v1.4.4](https://github.com/netlify/netlify-lambda/compare/v1.4.3...v1.4.4) - 2019-04-15

### Merged

- Resolve plugins and loaders [`#137`](https://github.com/netlify/netlify-lambda/pull/137)

### Commits

- Update README.md [`29e7f79`](https://github.com/netlify/netlify-lambda/commit/29e7f791542f0d841ca147a64435db3869b6d615)
- tweak warning to make less scary [`3c28c40`](https://github.com/netlify/netlify-lambda/commit/3c28c40e46e2d0f78a258efa650a2a48e138dce5)
- tweak netlify dev info [`4ef3132`](https://github.com/netlify/netlify-lambda/commit/4ef313259424f22d89f7f2bdfe185832ca979fe4)

## [v1.4.3](https://github.com/netlify/netlify-lambda/compare/v1.4.2...v1.4.3) - 2019-03-14

### Merged

- docs: add tutorial to README [`#127`](https://github.com/netlify/netlify-lambda/pull/127)
- Fix typos in README.md in Debugging section [`#125`](https://github.com/netlify/netlify-lambda/pull/125)
- Fix how NODE_ENV is being handled [`#123`](https://github.com/netlify/netlify-lambda/pull/123)
- Fixes typo in README.md [`#122`](https://github.com/netlify/netlify-lambda/pull/122)

### Commits

- add next.js instructions [`04bf691`](https://github.com/netlify/netlify-lambda/commit/04bf6917eb24add50fe53803613a861f01f8da0a)
- rewrite timeout feature for node &lt;10 [`2ef8382`](https://github.com/netlify/netlify-lambda/commit/2ef8382a6a7b34783cc1bd7a4ab7db163cff1bd0)
- add react static instructions [`94e10cd`](https://github.com/netlify/netlify-lambda/commit/94e10cd8cdf60f5857cb525a5c7eb3d4811565be)

## [v1.4.2](https://github.com/netlify/netlify-lambda/compare/v1.4.1...v1.4.2) - 2019-02-13

## [v1.4.1](https://github.com/netlify/netlify-lambda/compare/v1.4.0...v1.4.1) - 2019-02-12

### Merged

- Clears the invocation timeout if the invocation is a success. [`#121`](https://github.com/netlify/netlify-lambda/pull/121)

### Commits

- Update serve.js to clear the timeout if a function invocation is a success within the timeout. [`20cb467`](https://github.com/netlify/netlify-lambda/commit/20cb4679507156b2a33389a2375d76233af0a8cd)
- Update README.md [`6f470ae`](https://github.com/netlify/netlify-lambda/commit/6f470ae39c63d65634dbae9cf6a8cb573900a1e4)

## [v1.4.0](https://github.com/netlify/netlify-lambda/compare/1.4.0...v1.4.0) - 2019-02-11

### Commits

- document timout and node-fetch [`d005ee3`](https://github.com/netlify/netlify-lambda/commit/d005ee343c46e3294ab95f25865d2d421bae8a9d)

## [1.4.0](https://github.com/netlify/netlify-lambda/compare/1.3.3...1.4.0) - 2019-02-11

### Merged

- Enable function invocation timeout using Promise.race [`#116`](https://github.com/netlify/netlify-lambda/pull/116)

### Commits

- add direct reference to ZISI [`711b695`](https://github.com/netlify/netlify-lambda/commit/711b695a05e1e69708c37874c344144ba123f6af)
- add reference [`6c9b4bf`](https://github.com/netlify/netlify-lambda/commit/6c9b4bf4e99aa1c3f20f4882d8820b60a3d2eaac)

## [1.3.3](https://github.com/netlify/netlify-lambda/compare/v1.3.3...1.3.3) - 2019-02-02

## [v1.3.3](https://github.com/netlify/netlify-lambda/compare/v1.3.2...v1.3.3) - 2019-02-02

### Commits

- add nice warning message if body omitted [`dcaac14`](https://github.com/netlify/netlify-lambda/commit/dcaac144b821261ad41e866ef027718eeb827eb7)

## [v1.3.2](https://github.com/netlify/netlify-lambda/compare/v1.3.1...v1.3.2) - 2019-02-02

### Merged

- Allow reponse body to be optional [`#114`](https://github.com/netlify/netlify-lambda/pull/114)
- Add functions + sentry error reporting blog post [`#109`](https://github.com/netlify/netlify-lambda/pull/109)

### Fixed

- add config docs everywhere [`#110`](https://github.com/netlify/netlify-lambda/issues/110)

### Commits

- Update README.md [`f22e699`](https://github.com/netlify/netlify-lambda/commit/f22e69945e9075592103eaf5e1f178fb8ab86525)
- improve debugging notes [`bd44dae`](https://github.com/netlify/netlify-lambda/commit/bd44daeccb12829221281313165772268673a4e4)

## [v1.3.1](https://github.com/netlify/netlify-lambda/compare/1.3.1...v1.3.1) - 2019-01-30

## [1.3.1](https://github.com/netlify/netlify-lambda/compare/v1.3.0...1.3.1) - 2019-01-30

### Merged

- When serving locally, ignore non-JWT auth headers [`#108`](https://github.com/netlify/netlify-lambda/pull/108)
- Update README.md typo [`#106`](https://github.com/netlify/netlify-lambda/pull/106)

### Commits

- Update README.md [`aad0779`](https://github.com/netlify/netlify-lambda/commit/aad07792692d3567c935c83e8420601bc1c47f30)
- Update README.md [`2df4530`](https://github.com/netlify/netlify-lambda/commit/2df4530f9c3720823b482535bbe30236a20696e8)

## [v1.3.0](https://github.com/netlify/netlify-lambda/compare/v1.1.1...v1.3.0) - 2019-01-21

### Merged

- fix(build): Exclude test files [`#105`](https://github.com/netlify/netlify-lambda/pull/105)
- Add tests [`#94`](https://github.com/netlify/netlify-lambda/pull/94)
- Check for babelrc up from given functions folder [`#98`](https://github.com/netlify/netlify-lambda/pull/98)
- inject clientContext to served function on dev-server [`#57`](https://github.com/netlify/netlify-lambda/pull/57)
- Provide response for zero/unmatched/invalid args [`#102`](https://github.com/netlify/netlify-lambda/pull/102)
- Make netlify.toml `functions` field consistent [`#101`](https://github.com/netlify/netlify-lambda/pull/101)
- Proposal: add warning if no function files found [`#84`](https://github.com/netlify/netlify-lambda/pull/84)

### Commits

- Update README.md [`9e5e0ef`](https://github.com/netlify/netlify-lambda/commit/9e5e0efda8005735d96334a1385621c0f41f477c)
- merge [`4db2434`](https://github.com/netlify/netlify-lambda/commit/4db24346004012491c1fb34d807cb9b497e1920c)
- document tests [`c0794ac`](https://github.com/netlify/netlify-lambda/commit/c0794ac05fa99f82f0117ab4470ea839281ffc68)

## [v1.1.1](https://github.com/netlify/netlify-lambda/compare/v1.1.0...v1.1.1) - 2018-12-15

### Merged

- Fix 'queryStringParameters' when the url contains multiple question marks [`#85`](https://github.com/netlify/netlify-lambda/pull/85)

### Commits

- add example for typescript docs [`af0f995`](https://github.com/netlify/netlify-lambda/commit/af0f995e18e2855b7adddb3a50e92c7e6543dece)
- document async functions [`c7ebf0d`](https://github.com/netlify/netlify-lambda/commit/c7ebf0d85f6254dcce90991e697cf767458420d8)
- v1.1 [`540eb18`](https://github.com/netlify/netlify-lambda/commit/540eb182b00c0bf6d5fd659af1e23753655023f8)

## v1.1.0 - 2018-12-03

### Merged

- Add .ts to resolve.extensions [`#80`](https://github.com/netlify/netlify-lambda/pull/80)
- Debugging instructions added to README [`#83`](https://github.com/netlify/netlify-lambda/pull/83)
- Add Angular Proxy Documentation [`#81`](https://github.com/netlify/netlify-lambda/pull/81)
- Add "how to use TypeScript" to README.md [`#77`](https://github.com/netlify/netlify-lambda/pull/77)
- Fix build `.mjs` filename [`#78`](https://github.com/netlify/netlify-lambda/pull/78)
- Support extensions: .mjs and .ts [`#76`](https://github.com/netlify/netlify-lambda/pull/76)
- Removed base-64 package in favour of node Buffer [`#68`](https://github.com/netlify/netlify-lambda/pull/68)
- Update link to create-react-app-lambda [`#70`](https://github.com/netlify/netlify-lambda/pull/70)
- fixed querystring parsing netlify/netlify-lambda#54 [`#67`](https://github.com/netlify/netlify-lambda/pull/67)
- Added "-s --static" option to prevent building of files [`#62`](https://github.com/netlify/netlify-lambda/pull/62)
- add support for http-server [`#50`](https://github.com/netlify/netlify-lambda/pull/50)
- Match body size limit to AWS [`#31`](https://github.com/netlify/netlify-lambda/pull/31)
- Add multipart/form-data content-type to base64 exclusion list. Closes #42 [`#58`](https://github.com/netlify/netlify-lambda/pull/58)
- Upgrade to Babel 7 and Webpack 4 (fully tested) [`#63`](https://github.com/netlify/netlify-lambda/pull/63)
- Add a note regarding proxying [`#30`](https://github.com/netlify/netlify-lambda/pull/30)
- Custom Babel env target [`#25`](https://github.com/netlify/netlify-lambda/pull/25)
- Support async handlers [`#24`](https://github.com/netlify/netlify-lambda/pull/24)
- Add "--port" Option [`#16`](https://github.com/netlify/netlify-lambda/pull/16)
- Ignore favicon [`#19`](https://github.com/netlify/netlify-lambda/pull/19)
- Include environment variables from config [`#22`](https://github.com/netlify/netlify-lambda/pull/22)
- Warn same source [`#21`](https://github.com/netlify/netlify-lambda/pull/21)
- fix: erroneous assignment in babelOpts [`#11`](https://github.com/netlify/netlify-lambda/pull/11)
- Pass additionalConfig to webpack while watching [`#14`](https://github.com/netlify/netlify-lambda/pull/14)
- Support for customizing babel and webpack [`#5`](https://github.com/netlify/netlify-lambda/pull/5)
- Miss missing dependencies babel-loader and babel-core [`#4`](https://github.com/netlify/netlify-lambda/pull/4)
- Match AWS behavior with text content [`#3`](https://github.com/netlify/netlify-lambda/pull/3)
- Update package.json [`#1`](https://github.com/netlify/netlify-lambda/pull/1)

### Fixed

- Merge pull request #58 from Munter/file-upload [`#42`](https://github.com/netlify/netlify-lambda/issues/42)
- Add multipart/form-data content-type to base64 exclusion list. Closes #42 [`#42`](https://github.com/netlify/netlify-lambda/issues/42)

### Commits

- upgrade dependencies [`9c4336c`](https://github.com/netlify/netlify-lambda/commit/9c4336c24a7e3f2b49442d23e1b8ba0bf5b5f12a)
- First commit [`85e51ec`](https://github.com/netlify/netlify-lambda/commit/85e51ec0fdd0813705981c0b981f9666b3525f48)
- Bump version [`b1f266c`](https://github.com/netlify/netlify-lambda/commit/b1f266cee6096b253aeb2301075445650a87673b)
